> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Pipeline Status

> Check the status of a custom processor generation request using the request_check_url from the initial submission.



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/custom_pipelines/{lookup_key}
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/custom_pipelines/{lookup_key}:
    get:
      tags:
        - Custom Pipelines (Deprecated)
      summary: Get Custom Pipeline Status
      description: >-
        Check the status of a custom processor generation request using the
        request_check_url from the initial submission.
      operationId: get_custom_pipeline_status_api_v1_custom_pipelines__lookup_key__get
      parameters:
        - name: lookup_key
          in: path
          required: true
          schema:
            type: string
            title: Lookup Key
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomProcessorStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CustomProcessorStatusResponse:
      properties:
        status:
          type: string
          title: Status
          description: 'Current status: ''processing'', ''completed'', or ''failed'''
        processor_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Processor Id
          description: >-
            Unique ID for executing this processor (format: cp_XXXXX). Only
            available when status='completed' and success=True.
        request_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Description
          description: Request description (from active version)
        sent_at:
          type: string
          title: Sent At
          description: ISO timestamp when request was submitted
        success:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Success
          description: Whether generation succeeded
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
          description: Error message if failed
        runtime:
          anyOf:
            - type: number
            - type: 'null'
          title: Runtime
          description: Execution time in seconds
        completed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Completed At
          description: ISO timestamp when request completed
        pipeline_params:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Pipeline Params
          description: Active version pipeline parameters
        pipeline_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Pipeline Id
          description: >-
            Pipeline ID (pl_XXXXX) for the auto-created workspace pipeline. Only
            available when status='completed' and success=True.
      type: object
      required:
        - status
        - sent_at
      title: CustomProcessorStatusResponse
      description: Response schema for checking the status of a custom processor request.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````